module Ubc.Parse.Syntax.Import
(
parse)
where

import Data.Functor ((<&>))

import Text.Parsec (sepBy1, ParsecT)

import qualified Data.List as List

import qualified Ubc.Parse.Syntax.Language as UbcLanguage

importPath :: Monad m => ParsecT String u m [String]
importPath = UbcLanguage.identifier `sepBy1` UbcLanguage.symbol "/"

parse :: Monad m => ParsecT String u m [String]
parse = do
        UbcLanguage.reserved "import"
        importPath

